Removable disks on master node

Bug #1290933 reported by Vladimir Kozhukalov on 2014-03-11
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
Medium
Aleksandr Didenko
4.1.x
Medium
Aleksandr Didenko
5.0.x
Medium
Aleksandr Didenko

Bug Description

If one tries to install fuel master on a node where only removable disks are present, anaconda won't suggest any disks to install on. It is because of filtering out removable disks. We need to show all available disks and warn user if they are removable. In fuel-main/iso/ks.template we have the following block

for drv in `ls -1 /sys/block | grep "sd\|hd\|vd\|cciss"`; do
    if (grep -q 0 /sys/block/${drv}/removable); then
        d=`echo ${drv} | sed -e 's/!/\//'`
        drives="${drives} ${d}"
    fi
done

Changed in fuel:
assignee: nobody → Vladimir Kozhukalov (kozhukalov)
status: New → Triaged
milestone: none → 4.1.1

Fix proposed to branch: master
Review: https://review.openstack.org/79683

Changed in fuel:
status: Triaged → In Progress
Changed in fuel:
milestone: 4.1.1 → 5.0
tags: added: backports-4.1.1
Changed in fuel:
importance: Undecided → Medium
Changed in fuel:
status: In Progress → Triaged
Changed in fuel:
status: Triaged → In Progress
Dmitry Pyzhov (dpyzhov) on 2014-04-28
Changed in fuel:
milestone: 5.0 → 5.1
Miroslav Anashkin (manashkin) wrote :

I propose to fix this in 5.0 and backport to 4.1

There are customers who already encountered this issue.

Micah Ashford (mashford) wrote :

Also CFD in ZD #1820

Andrew Woodward (xarses) wrote :

We need to ensure that devices that are not included to install on do not get the md raid given to it as well. There is already bug about it at https://bugs.launchpad.net/fuel/+bug/1258347

Mike Scherbakov (mihgen) on 2014-05-29
tags: removed: backports-4.1.1
Aleksandr Didenko (adidenko) wrote :

Andrew, this bug is related to Fuel master node installation only. It's not related to OpenStack nodes deployment, like https://bugs.launchpad.net/fuel/+bug/1258347 you're referencing to.

Changed in fuel:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/79683
Committed: https://git.openstack.org/cgit/stackforge/fuel-main/commit/?id=b5d7e605788857562f56d5a0d2bad78a9dbeeefe
Submitter: Jenkins
Branch: master

commit b5d7e605788857562f56d5a0d2bad78a9dbeeefe
Author: Vladimir Kozhukalov <email address hidden>
Date: Tue Mar 11 21:07:22 2014 +0400

    Added removable drives in user installation dialog

    This patch is to avoid missing hard drives which
    are present but are marked as removable.

    Change-Id: If2524b3dff36703e42fb46da2bd042b3ac63f681
    Closes-Bug: #1290933

Changed in fuel:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/101839
Committed: https://git.openstack.org/cgit/stackforge/fuel-main/commit/?id=05c37f48683114d7b60e6f1ae7784827282407af
Submitter: Jenkins
Branch: stable/5.0

commit 05c37f48683114d7b60e6f1ae7784827282407af
Author: Vladimir Kozhukalov <email address hidden>
Date: Tue Mar 11 21:07:22 2014 +0400

    Added removable drives in user installation dialog

    This patch is to avoid missing hard drives which
    are present but are marked as removable.

    Change-Id: If2524b3dff36703e42fb46da2bd042b3ac63f681
    Closes-Bug: #1290933
    (cherry picked from commit b5d7e605788857562f56d5a0d2bad78a9dbeeefe)

Aleksandr Didenko (adidenko) wrote :

4.1 fix did not make it to 4.1.1, and we're not going to release 4.1.2. Marked as won't fix for 4.1 branch.

Reviewed: https://review.openstack.org/103057
Committed: https://git.openstack.org/cgit/stackforge/fuel-main/commit/?id=964a6f0cd64240be3bcdfe5e47007fb4eb2a808b
Submitter: Jenkins
Branch: stable/4.1

commit 964a6f0cd64240be3bcdfe5e47007fb4eb2a808b
Author: Vladimir Kozhukalov <email address hidden>
Date: Tue Mar 11 21:07:22 2014 +0400

    Added removable drives in user installation dialog

    This patch is to avoid missing hard drives which
    are present but are marked as removable.

    Change-Id: If2524b3dff36703e42fb46da2bd042b3ac63f681
    Closes-Bug: #1290933
    (cherry picked from commit b5d7e605788857562f56d5a0d2bad78a9dbeeefe)

Dmitry Pyzhov (dpyzhov) on 2014-08-15
no longer affects: fuel/5.1.x
Changed in fuel:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers